Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.b2b.enabler
Interface EnablerSession

All Known Subinterfaces:
  XOCPEnablerSession

Deprecated. Replaced by `XOCPApplicationSession`

public interface EnablerSession

The EnablerSession interface represents a c-enabler session.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.

Inner Class Summary
`static interface` | `EnablerSession.InitException` Deprecated. An InitException is thrown if c-enabler session initialization fails.
`static interface` | `EnablerSession.ShutDownException` Deprecated. A ShutDownException is thrown if c-enabler session shutdown fails.

Method Summary
`java.lang.String` | `getCSpace()` Deprecated. Gets the c-space ID of this c-enabler session.
`java.lang.String` | `getEnablerUrl()` Deprecated. Gets the URL of the c-enabler associated with this c-enabler session.
`java.lang.String` | `getHubUrl()` Deprecated. Gets the URL of the c-hub associated with this c-enabler session.
`java.lang.String` | `getName()` Deprecated. Gets the name of this c-enabler session.
`java.lang.String` | `getTradingPartner()` Deprecated. Gets the name of the trading partner associated with this c-enabler session.
`void` | `shutDown(boolean keepSubscription)` Deprecated. Shuts down the c-enabler session and, optionally, leaves the c-space.

Method Detail

### getName

    public java.lang.String getName()

  Deprecated.
  Gets the name of this c-enabler session.

  Returns:
    String - C-enabler session name.

### getHubUrl

    public java.lang.String getHubUrl()

  Deprecated.
  Gets the URL of the c-hub associated with this c-enabler session.

  Returns:
    String - C-hub URL.

### getEnablerUrl

    public java.lang.String getEnablerUrl()

  Deprecated.
  Gets the URL of the c-enabler associated with this c-enabler session.

  Returns:
    String - C-enabler URL.

### getTradingPartner

    public java.lang.String getTradingPartner()

  Deprecated.
  Gets the name of the trading partner associated with this c-enabler session.

  Returns:
    String - Trading partner name.

### getCSpace

    public java.lang.String getCSpace()

  Deprecated.
  Gets the c-space ID of this c-enabler session.

  Returns:
    String - C-space ID.

### shutDown

    public void shutDown(boolean keepSubscription)
                  throws EnablerSession.ShutDownException,
                         B2BException

  Deprecated.
  Shuts down the c-enabler session and, optionally, leaves the c-space.

  Parameters:
    `keepSubscription` - If true, keeps the subscription to conversations in which this c-enabler session was participating. Pertinent messages are stored in message queues for later retrieval using deferred pull. The collaborator does not leave the c-space. If false (default), explictly shuts down the session. All of the relevant messages in the conversation started through this session are discarded and the collaborator leaves the c-space.
  Throws:
    EnablerSession.ShutDownException - If conversation shutdown fails.
    B2BException - If an error occurred.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)